## Vala: Compiling with libsecret

The package name is "`libsecret-1`". You can use it like this in your `Makefile.am` file:

    1
    2

    AM_VALAFLAGS = \
    	--pkg=libsecret-1

Some parts of the libsecret API are not yet stable. To use them you need to define the SECRET_WITH_UNSTABLE C preprocessor macro to use them, or else the build will fail:

    1
    2

    AM_CPPFLAGS = \
    	-DSECRET_WITH_UNSTABLE=1